DRM_ATOMIC_HELPER_CO(9)

NAME
drm_atomic_helper_commit_pre_planes - modeset commit before plane updates

SYNOPSIS

void drm_atomic_helper_commit_pre_planes(struct drm_device * dev, struct drm_atomic_state * state);

ARGUMENTS

dev
    DRM device

state
    atomic state

DESCRIPTION

This function commits the modeset changes that need to be committed before updating planes. It shuts down all the outputs that need to be shut down and prepares them (if required) with the new mode.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT